Page MenuHomePhabricator

[libclang] Visit attributes for function and class templates
ClosedPublic

Authored by jklaehn on Aug 21 2017, 6:19 AM.

Details

Summary

Previously, VisitAttributes was not called for function and class templates and thus their attributes were not accessible using libclang.

Diff Detail

Repository
rL LLVM

Event Timeline

jklaehn created this revision.Aug 21 2017, 6:19 AM
jbcoe requested changes to this revision.Sep 27 2017, 12:21 AM

Looks great. Please add tests to clang/tools/c-index-test/c-index-test.c too as the Python tests are not run on build-bots (to the best of my knowledge).

This revision now requires changes to proceed.Sep 27 2017, 12:21 AM
jklaehn updated this revision to Diff 118330.Oct 10 2017, 2:13 AM
jklaehn edited edge metadata.

Added c-index-test-based test.

jbcoe accepted this revision.Oct 10 2017, 2:23 PM

LGTM

Would you like me to commit this for you?

This revision is now accepted and ready to land.Oct 10 2017, 2:23 PM

LGTM

Would you like me to commit this for you?

Yes, I would appreciate it.

This revision was automatically updated to reflect the committed changes.